Subject: [Cfrg] The new submission "AES-GCM-SIV: Nonce Misuse-Resistant Authenticated Encryption"
From: Shay Gueron <[email-masked]>
To: [email-masked]
Cc: Yehuda Lindell <[email-masked]>, Adam Langley <[email-masked]>
Date: Sun, 6 Mar 2016 05:50:18 +0200
List-Id: Crypto Forum Research Group <cfrg.irtf.org>

Hello CFRG,

We would like to draw your attention to our new submission draft entitled
“AES-GCM-SIV: Nonce Misuse-Resistant Authenticated Encryption”. Posted on
https://www.ietf.org/internet-drafts/draft-gueron-gcmsiv-00.txt

The submission specifies two authenticated encryption algorithms that are
nonce misuse-resistant. Their performance is expected to be roughly on par
with AES-GCM, when run on modern processors that have AES instructions.

Security and performance analysis can be found in S. Gueron and Y. Lindell.
GCM-SIV: Full Nonce Misuse-Resistant Authenticated Encryption at Under One
Cycle per Byte. In 22nd ACM CCS, pages 109-119, 2015.

We hope that the CFRG will take this up as a working-group item.

Thank you,

Shay Gueron, Adam Langley, Yehuda Lindell